Subject: Re: bug#9450: Bug report on 'dirname' : when jokers match several files

From: "Laurent TARRISSE" <[email-masked]>
Date: Wed, 7 Sep 2011 16:48:52 +0200

----- Original Message ----- 
From: "Paul Eggert" <[email-masked]>

> On 09/07/11 00:21, Laurent TARRISSE wrote:
>> The 'bug' appeared on Linux, because dirname doesn't output the path when
>> several arguments are passed to it. :)
>
> The same 'bug' will also appear on Solaris 10; its
> dirname does the same thing as GNU/Linux's dirname.
>
> I'm afraid you're fighting an uphill battle here.
> I'd fix the script rather than expecting
> other implementations to match HP-UX's quirks.
>
> I'm marking this as "done" since I don't expect
> the GNU/Linux version to change.

You are right. In fact, I do not expect any more that the
Linux version change, and I already fixed my script to
deal with this feature.
However, the advice given by an anonymous person
in the preceding email:

>Place some quotes around the argument, so that the variable will expand
>but the glob won't. Something like:
>MY_PATH=`dirname "$1"`
>will probably do what you expect.

worked perfectly    oo
Thanks to him (I cannot respond to him thus the 'sender email' is 
unreachable)
because